package com.sdtool.common.entity.system;

import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2018-11-13.
 * 数据权限
 * 此数据全部存在es中算了
 * <p>
 * idData直接在前端页面控制即可，免得增加还需要编译
 *
 * @author jlutt
 */
public class DataPurview {

    @Comment("")
    private String esId;

    @Comment("")
    @RColumn("iduser")
    private long idUser;

    @Comment("")
    @RColumn("username")
    private String userName;

    @Comment("")
    @RColumn("idcreateuser")
    private long idCreateUser;

    @Comment("")
    @RColumn("createusername")
    private String createUserName;

    private String createUserDeptName;

    @Comment("")
    @RColumn("iddata")
    private long idData;

    public long getIdUser() {
        return idUser;
    }

    public void setIdUser(long idUser) {
        this.idUser = idUser;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public long getIdCreateUser() {
        return idCreateUser;
    }

    public void setIdCreateUser(long idCreateUser) {
        this.idCreateUser = idCreateUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public long getIdData() {
        return idData;
    }

    public void setIdData(long idData) {
        this.idData = idData;
    }

    public String getEsId() {
        return esId;
    }

    public void setEsId(String esId) {
        this.esId = esId;
    }

    public String getCreateUserDeptName() {
        return createUserDeptName;
    }

    public void setCreateUserDeptName(String createUserDeptName) {
        this.createUserDeptName = createUserDeptName;
    }
}
